Subject: Re: linux-next: build failure after merge of the drm tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 12 Jul 2024 12:28:43 +1000

Hi all,

On Mon, 1 Jul 2024 10:19:01 -0700 Nathan Chancellor <[email-masked]> wrote:
>
> On Mon, Jul 01, 2024 at 07:13:19PM +1000, Stephen Rothwell wrote:
> > 
> > After merging the drm tree, today's linux-next build (powerpc
> > allyesconfig) failed like this:
> > 
> > In file included from arch/powerpc/include/asm/mmu.h:144,
> >                  from arch/powerpc/include/asm/paca.h:18,
> >                  from arch/powerpc/include/asm/current.h:13,
> >                  from include/linux/sched.h:12,
> >                  from include/linux/ratelimit.h:6,
> >                  from include/linux/dev_printk.h:16,
> >                  from include/linux/device.h:15,
> >                  from include/linux/dma-mapping.h:8,
> >                  from drivers/gpu/drm/omapdrm/omap_gem.c:7:
> > drivers/gpu/drm/omapdrm/omap_gem.c: In function 'omap_gem_pin_tiler':
> > arch/powerpc/include/asm/page.h:25:33: error: conversion from 'long unsigned int' to 'u16' {aka 'short unsigned int'} changes value from '65536' to '0' [-Werror=overflow]
> >    25 | #define PAGE_SIZE               (ASM_CONST(1) << PAGE_SHIFT)
> >       |                                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
> > drivers/gpu/drm/omapdrm/omap_gem.c:758:42: note: in expansion of macro 'PAGE_SIZE'
> >   758 |                                          PAGE_SIZE);
> >       |                                          ^~~~~~~~~
> > drivers/gpu/drm/omapdrm/omap_gem.c: In function 'omap_gem_init':
> > arch/powerpc/include/asm/page.h:25:33: error: conversion from 'long unsigned int' to 'u16' {aka 'short unsigned int'} changes value from '65536' to '0' [-Werror=overflow]
> >    25 | #define PAGE_SIZE               (ASM_CONST(1) << PAGE_SHIFT)
> >       |                                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
> > drivers/gpu/drm/omapdrm/omap_gem.c:1504:65: note: in expansion of macro 'PAGE_SIZE'
> >  1504 |                         block = tiler_reserve_2d(fmts[i], w, h, PAGE_SIZE);
> >       |                                                                 ^~~~~~~~~
> > cc1: all warnings being treated as errors
> > 
> > Exposed by commit
> > 
> >   dc6fcaaba5a5 ("drm/omap: Allow build with COMPILE_TEST=y")
> > 
> > PowerPC 64 bit uses 64k pages.
> > 
> > I have reverted that commit for today.  
> 
> FWIW, I sent a patch to address this in a bit of a more targeted manner
> over a week ago:
> 
> https://lore.kernel.org/20240620-omapd[email-masked]/
> 
> Although somehow, I left off Ville from that patch :/

I am still reverting that commit (as of yesterday, the failure still
occurs) ...

-- 
Cheers,
Stephen Rothwell